### Constructor

# Gtk.ObjectExpression.new

#### Declaration [src]

    GtkExpression*
    gtk_object_expression_new (
      GObject* object
    )

#### Description [src]

Creates an expression evaluating to the given `object` with a weak reference.

Once the `object` is disposed, it will fail to evaluate.

This expression is meant to break reference cycles.

If you want to keep a reference to `object`, use `gtk_constant_expression_new()`.

#### Parameters

`object` | `GObject*`
| object to watch
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkObjectExpression`
a new `GtkExpression`
Ownership of the data is transferred to the caller